Subject: Re: Request: Allocate a Netlink Family Number for MPLS

From: "James R. Leu" <[email-masked]>
Date: Fri, 5 Dec 2003 11:35:32 -0600

On Mon, Dec 01, 2003 at 12:45:32PM -0800, David S. Miller wrote:
> On Mon, 1 Dec 2003 15:36:26 +0100 (MET)
> Ramon Casellas <[email-masked]> wrote:
> 
> > We're working in porting mpls for linux to 2.6 and one of the planned
> > features is to move from an IOCTL based approach to a Netlink based one
> > for updating/querying the MPLS FTN/ILM/Label Mapping/... tables from
> > userspace. Since netlink families are public, I would
> > like to know if it is possible to reserve a family for MPLS, even though
> > the MPLS patch is not part of the official kernel.
> 
> You don't need a whole new netlink family.  Just create a dummy
> address family for MPLS (ie. AF_MPLS) and then just use
> NETLINK_ROUTE.

Agreed.  One could also use AF_MPLS for applications to register for
data associated with the router alert label.  I suppose one
could also go completly nuts and allow an application to open stream
connection that talks and listens on a specific label, but I think 
that is a bit overboard.

-- 
James R. Leu
[email-masked]